'use strict';

var index = require('./index-Djd6t32_.js');

const chartBarIconCss = "";

const ChartBarIcon = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.hex = undefined;
        this.label = undefined;
        this.name = 'chart-bar';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (index.h("svg", { key: '37840ff336f0fcd075cb8fbeec6c77db7e3071ef', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, index.h("title", { key: '3fc77d64cd1fcbae2bf4bf329686da864f08f49b' }, title), index.h("g", { key: 'ae9670dc989eb3585ab60196151ef48ed0fb8e00', fill: hex }, index.h("path", { key: '45aac1be87046f23deaa0a628c8c2f67d61606d6', d: "M22 21H2V3H4V19H6V10H10V19H12V6H16V19H18V14H22V21Z" })), index.h("path", { key: '93df0fafe2d09992a2e6ef032a14b6cb06e409a7', d: "M0 0h24v24H0z", fill: "none" })));
    }
};
ChartBarIcon.style = chartBarIconCss;

exports.chart_bar_icon = ChartBarIcon;
