'use strict';

var index = require('./index-Djd6t32_.js');

const chartBubbleIconCss = "";

const ChartBubbleIcon = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.hex = undefined;
        this.label = undefined;
        this.name = 'chart-bubble';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (index.h("svg", { key: 'ba58ebbac1d6ff50609f252da486c24990ab864a', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, index.h("title", { key: '90e3bb75c7193569ab8e0d6164c6d09a95ef6387' }, title), index.h("g", { key: '6aad22cdf4efc2b49bc1c146278b6b9243594646', fill: hex }, index.h("path", { key: '1c88231a4f429d7a2dc1b49ff38f394155efbeab', d: "M7.2 11.2C8.97 11.2 10.4 12.63 10.4 14.4C10.4 16.17 8.97 17.6 7.2\n      17.6C5.43 17.6 4 16.17 4 14.4C4 12.63 5.43 11.2 7.2 11.2M14.8 16A2 2 0 0 1\n      16.8 18A2 2 0 0 1 14.8 20A2 2 0 0 1 12.8 18A2 2 0 0 1 14.8 16M15.2 4A4.8\n      4.8 0 0 1 20 8.8C20 11.45 17.85 13.6 15.2 13.6A4.8 4.8 0 0 1 10.4 8.8C10.4\n      6.15 12.55 4 15.2 4Z" })), index.h("path", { key: 'ec38f7e3a5e2223d969f2e9f50a46563601c666e', d: "M0 0h24v24H0z", fill: "none" })));
    }
};
ChartBubbleIcon.style = chartBubbleIconCss;

exports.chart_bubble_icon = ChartBubbleIcon;
