'use strict';

var index = require('./index-Djd6t32_.js');

const radio2IconCss = "";

const Radio2Icon = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.selected = false;
        this.hex = undefined;
        this.label = undefined;
        this.name = 'radio-2';
        this.size = undefined;
    }
    render() {
        const { selected, hex, label, name, size } = this;
        const title = label ? label : name;
        return (index.h("svg", { key: 'ebbe75a70064b4f9dd767e5188d106f8324e185e', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, index.h("title", { key: 'ae7104f128fd10692091bb14804e15eecafdd47c' }, title), index.h("g", { key: 'd3cc599a7faf4d77b557212fcb771d852c65ed67', fill: hex }, selected ? (index.h("path", { d: "M12 2A10 10 0 0 1 22 12A10 10 0 0 1 12 22A10 10 0 0 1 2 12A10 10 0 0\n        1 12 2M12 4A8 8 0 0 0 4 12A8 8 0 0 0 12 20A8 8 0 0 0 20 12A8 8 0 0 0 12\n        4M12 19C10.1 19 8.3 18.2 7.1 16.9C5.9 15.6 5 13.9 5 12C5 10.1 5.8 8.3\n        7.1 7.1C8.4 5.9 10.1 5 12 5C13.9 5 15.7 5.8 16.9 7.1C18.1 8.4 19 10.1 19\n        12C19 13.9 18.2 15.7 16.9 16.9C15.6 18.1 13.9 19 12 19Z" })) : (index.h("path", { d: "M12 20A8 8 0 0 1 4 12A8 8 0 0 1 12 4A8 8 0 0 1 20 12A8 8 0 0 1 12\n        20M12 2A10 10 0 0 0 2 12A10 10 0 0 0 12 22A10 10 0 0 0 22 12A10 10 0 0 0\n        12 2Z" }))), index.h("path", { key: 'd2a0070dce9ae52428c5726b4d2dbfaebdde81ef', d: "M0 0h24v24H0z", fill: "none" })));
    }
};
Radio2Icon.style = radio2IconCss;

exports.radio_2_icon = Radio2Icon;
