import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const chevronDoubleLeftIconCss = "";

const ChevronDoubleLeftIcon$1 = /*@__PURE__*/ proxyCustomElement(class ChevronDoubleLeftIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = undefined;
        this.label = undefined;
        this.name = 'chevron-double-left';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: '03c633bfd15990a4d2f309302543e0f892a1b818', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: '57ca81d7d06d875923fad088143ddabb1f44763e' }, title), h("g", { key: '27eb2134d2ec4a6cd217f35335a9ea103ea14cc2', fill: hex }, h("path", { key: '86327636d29fc6c2e5b8575539b23a39363bb275', d: "M18.41 7.41L17 6L11 12L17 18L18.41 16.59L13.83 12L18.41 7.41M12.41\n      7.41L11 6L5 12L11 18L12.41 16.59L7.83 12L12.41 7.41Z" })), h("path", { key: 'a63d89fcac1046514efa634f60b077fc7c2fb638', d: "M0 0h24v24H0z", fill: "none" })));
    }
    static get style() { return chevronDoubleLeftIconCss; }
}, [0, "chevron-double-left-icon", {
        "hex": [1],
        "label": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["chevron-double-left-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "chevron-double-left-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ChevronDoubleLeftIcon$1);
            }
            break;
    } });
}

const ChevronDoubleLeftIcon = ChevronDoubleLeftIcon$1;
const defineCustomElement = defineCustomElement$1;

export { ChevronDoubleLeftIcon, defineCustomElement };
