import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const closeIconCss = "";

const CloseIcon$1 = /*@__PURE__*/ proxyCustomElement(class CloseIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = undefined;
        this.label = undefined;
        this.name = 'close';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: '6171dcf1dbdb2970c2016b0e7d29a1f4a001c543', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: '03a866678f27d232d8f455e40623bf9e8ed39746' }, title), h("g", { key: 'd1ce6a8b41fd709fe2513bd19ed4704b1a087e83', fill: hex }, h("path", { key: 'e14c217ae914df716f0d8718a050d69733b57737', d: "M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12\n      13.41 17.59 19 19 17.59 13.41 12z" })), h("path", { key: 'c2e0224e00da773ad4571cf6066890f21313fb54', d: "M0 0h24v24H0z", fill: "none" })));
    }
    static get style() { return closeIconCss; }
}, [0, "close-icon", {
        "hex": [1],
        "label": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["close-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "close-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CloseIcon$1);
            }
            break;
    } });
}

const CloseIcon = CloseIcon$1;
const defineCustomElement = defineCustomElement$1;

export { CloseIcon, defineCustomElement };
