import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const gitIconCss = "";

const GitIcon$1 = /*@__PURE__*/ proxyCustomElement(class GitIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = undefined;
        this.label = undefined;
        this.name = 'git';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: '726d9c8269efda173c5fcb553a7f667323a23638', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: '29f6af81d00e5c3622dd8344fb9d9d9c1994b59b' }, title), h("g", { key: '829c8ac32ad5b7a9695e59cd6c48eb7fe29551c6', fill: hex }, h("path", { key: '0e4536011c4612250c370d50c8b74ff5497af2a7', d: "M2.6 10.59L8.38 4.8L10.07 6.5C9.83 7.35 10.22 8.28 11 8.73V14.27C10.4\n      14.61 10 15.26 10 16A2 2 0 0 0 12 18A2 2 0 0 0 14 16C14 15.26 13.6 14.61\n      13 14.27V9.41L15.07 11.5C15 11.65 15 11.82 15 12A2 2 0 0 0 17 14A2 2 0 0 0\n      19 12A2 2 0 0 0 17 10C16.82 10 16.65 10 16.5 10.07L13.93 7.5C14.19 6.57\n      13.71 5.55 12.78 5.16C12.35 5 11.9 4.96 11.5 5.07L9.8 3.38L10.59 2.6C11.37\n      1.81 12.63 1.81 13.41 2.6L21.4 10.59C22.19 11.37 22.19 12.63 21.4\n      13.41L13.41 21.4C12.63 22.19 11.37 22.19 10.59 21.4L2.6 13.41C1.81 12.63\n      1.81 11.37 2.6 10.59Z" })), h("path", { key: '208b3cab635edffb7f85f76ec3dd84e25a743330', d: "M0 0h24v24H0z", fill: "none" })));
    }
    static get style() { return gitIconCss; }
}, [0, "git-icon", {
        "hex": [1],
        "label": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["git-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "git-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, GitIcon$1);
            }
            break;
    } });
}

const GitIcon = GitIcon$1;
const defineCustomElement = defineCustomElement$1;

export { GitIcon, defineCustomElement };
