import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const isuzuIkonCss = "";

const IsuzuIkon$1 = /*@__PURE__*/ proxyCustomElement(class IsuzuIkon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = undefined;
        this.name = 'isuzu';
        this.size = undefined;
    }
    render() {
        const { hex, name, size } = this;
        return (h("svg", { key: '950886ebf492ba1416e940f1e91ad67e2c392f5f', width: size, height: size, viewBox: "0 0 612 612", role: "img", "aria-label": "title" }, h("title", { key: 'a7d0081bbb16b601d044181b85a608d33f3f7bf4' }, name), h("g", { key: '6a5d45c13429f45ef4fcce89e6a60339c9501c58', fill: hex }, h("path", { key: 'c84706838ccf35c587b74b1d323f2116890fb5ef', d: "M575.9 106.4C466.4-18.3 249.7 50.2 133 149.2-9.3 281.7-32.1 436.9 41.7\n      519.9c63.1 58.9 151.7 56.2 228.2 48.2 61.5-11.8 129.5-38.1 191-86.5\n      49.9-39.4 95.6-93.4 129.8-166.4 49.6-105.8-4.1-196.8-14.8-208.8zM452.4\n      465c-30.9 28.1-229.9 151.6-361 24.1-108.7-105.7-12.1-271.6 47-321.1\n      10.7-5.4 72.5-76.3 186.6-91 84.7-10.9 156.6 12.2 199.8 60.4 22.5 25.2 37.2\n      57.2 41.8 94.8 13.3 109.7-83.3 204.7-114.2 232.8z" }), h("path", { key: 'e068b47d854a63a7d44a61423ced729a77eb01b8', d: "M180.3\n      172.7v271h113.4V312.5c0-18.1-3.4-32.8-24.2-52.2l-89.2-87.6zm255.7\n      0v271H322.6V312.5c0-18.1 3.4-32.8 24.2-52.2l89.2-87.6z" }))));
    }
    static get style() { return isuzuIkonCss; }
}, [0, "isuzu-ikon", {
        "hex": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["isuzu-ikon"];
    components.forEach(tagName => { switch (tagName) {
        case "isuzu-ikon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, IsuzuIkon$1);
            }
            break;
    } });
}

const IsuzuIkon = IsuzuIkon$1;
const defineCustomElement = defineCustomElement$1;

export { IsuzuIkon, defineCustomElement };
