import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const mazdaIkonCss = "";

const MazdaIkon$1 = /*@__PURE__*/ proxyCustomElement(class MazdaIkon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = undefined;
        this.name = 'mazda';
        this.size = undefined;
    }
    render() {
        const { hex, name, size } = this;
        return (h("svg", { key: '7ffd04767733da2aaf423d2d8863eb038b0dabae', width: size, height: size, viewBox: "0 0 148 148", role: "img", "aria-label": "title" }, h("title", { key: '2cd420cbb85749a0962717379adb2a40ecd8fc08' }, name), h("g", { key: '1559684a96bf3c26d077e5f49b663c73056ea231', fill: hex }, h("path", { key: 'a0baf8c70190253c4386b71cb8002b036652a608', d: "M135.7 36.5c-.5-.6-1.2-1.3-1.7-1.9C119 18.5 94.5 15 73.9 15c-20.8 0-46\n      3.5-60.8 20.6-.2.3-.5.6-.7.9C5.2 45.2.7 57.5.7 74.1c0 51.2 41.6 59.4 73.2\n      59.4 31.7 0 73.4-8.2 73.4-59.4 0-16.6-4.4-29-11.6-37.6zM26.2 44.6c9.9-15.2\n      28.6-18.9 47.7-18.9s37.5 3.5 47.5 18.4c.2.3.4.7.6 1.1-17.1 10.1-36.5\n      10.5-48.1 35.5C61.2 56.4 42 56.2 25.2 46.5c.3-.6.7-1.2 1-1.9zm47.7\n      78.2c-28.4.2-54.9-8-54.9-48.7 0-3 0-6.1.5-8.7.1-.6.3-1.2.4-1.8 9.5 3.4\n      18.9 6.6 28.5 9.8 11.2 4.6 18.7 11.2 25.5 26C80.7 84.6 88 77.1 99.3\n      72.5c9.7-3.4 19.2-6.9 28.9-10.3.1.2.1.5.2.7.5 3.3.7 7.2.7 11.2.1 40.7-26.8\n      49-55.2 48.7z" }))));
    }
    static get style() { return mazdaIkonCss; }
}, [0, "mazda-ikon", {
        "hex": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mazda-ikon"];
    components.forEach(tagName => { switch (tagName) {
        case "mazda-ikon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, MazdaIkon$1);
            }
            break;
    } });
}

const MazdaIkon = MazdaIkon$1;
const defineCustomElement = defineCustomElement$1;

export { MazdaIkon, defineCustomElement };
