import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const onePasswordIconCss = "";

const OnePasswordIcon$1 = /*@__PURE__*/ proxyCustomElement(class OnePasswordIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = undefined;
        this.label = undefined;
        this.name = 'one-password';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: 'd4e00dd32b9f30a2af31cf18aa53d61a3c5294d8', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: 'c38a1ff7ad0c3791e03f9d3494b1c90c2697ee6c' }, title), h("g", { key: '9b2ac01bda99ebfc39161e1590507542667ee2cc', fill: hex }, h("path", { key: '9ff54df9133da29a44a47d2738d667529c064183', d: "M12 1C5.92 1 1 5.92 1 12C1 18.08 5.92 23 12 23C18.08 23 23 18.08 23\n      12C23 5.92 18.08 1 12 1M12 20A8 8 0 0 1 4 12A8 8 0 0 1 12 4A8 8 0 0 1 20\n      12A8 8 0 0 1 12 20M13 13.5C13 14.13 13.4 14.7 14 14.91V18H10V11.91C10.78\n      11.64 11.19 10.8 10.93 10C10.78 9.58 10.44 9.24 10 9.09V6H14V12.09C13.4\n      12.3 13 12.87 13 13.5Z" })), h("path", { key: 'eaee9050237bb499dfb453d08c379842aa881477', d: "M0 0h24v24H0z", fill: "none" })));
    }
    static get style() { return onePasswordIconCss; }
}, [0, "one-password-icon", {
        "hex": [1],
        "label": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["one-password-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "one-password-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, OnePasswordIcon$1);
            }
            break;
    } });
}

const OnePasswordIcon = OnePasswordIcon$1;
const defineCustomElement = defineCustomElement$1;

export { OnePasswordIcon, defineCustomElement };
