import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const slugIconCss = "";

const SlugIcon$1 = /*@__PURE__*/ proxyCustomElement(class SlugIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.label = undefined;
        this.name = 'slug';
        this.size = undefined;
    }
    render() {
        const { label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: '2182a6c01a57f9da8abd4865d151eab51d4c2c7d', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: '62a3fa974f52609d5f3987d281e2404418fe091d' }, title), h("path", { key: '38f4e26f3f23f7cec1b87a512f178dd6830f8431', d: "M0 0h24v24H0z", fill: "none" })));
    }
    static get style() { return slugIconCss; }
}, [0, "slug-icon", {
        "label": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["slug-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "slug-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, SlugIcon$1);
            }
            break;
    } });
}

const SlugIcon = SlugIcon$1;
const defineCustomElement = defineCustomElement$1;

export { SlugIcon, defineCustomElement };
