import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const smartIkonCss = "";

const SmartIkon$1 = /*@__PURE__*/ proxyCustomElement(class SmartIkon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = undefined;
        this.name = 'smart';
        this.size = undefined;
    }
    render() {
        const { hex, name, size } = this;
        return (h("svg", { key: 'c78a6529290339e26028a4b43a365f1e49620903', width: size, height: size, viewBox: "0 0 320 320", role: "img", "aria-label": "title" }, h("title", { key: 'da95cbd5a678586743b8d018b503ec9f7149ecd9' }, name), h("g", { key: 'd6d3b20071bd83e25a9f0a6b27bd5159c8a9a0bd', fill: hex }, h("path", { key: '89b90215120bf67406a88bfd27e311bb98fe6b5d', d: "M226.5 36.7c32.8 21.2 80 87.5 92.6 124-12.7 36.7-59.9 102.7-92.6\n      124v-248zm-70.1 47.1c17.1 0 39 6.8 56.1\n      19.1V28.2c-17.1-10.6-37.9-16.9-62.2-16.9C67.7 11.3.9 78.2.9 160.7.9 243.4\n      67.7 310 150.3 310c24.4 0 45.2-6 62.2-16.7v-74.8c-17.1 12.3-39 19.3-56.1\n      19.3-46.5 0-80.6-34-80.6-77-.1-43.3 34.1-77 80.6-77z" }))));
    }
    static get style() { return smartIkonCss; }
}, [0, "smart-ikon", {
        "hex": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["smart-ikon"];
    components.forEach(tagName => { switch (tagName) {
        case "smart-ikon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, SmartIkon$1);
            }
            break;
    } });
}

const SmartIkon = SmartIkon$1;
const defineCustomElement = defineCustomElement$1;

export { SmartIkon, defineCustomElement };
