import { r as registerInstance, h } from './index-DvdXi0my.js';

const asteriskIconCss = "";

const AsteriskIcon = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.hex = undefined;
        this.label = undefined;
        this.name = 'asterisk';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: '01cfd0713c35f7e05bc38e9c6c1c563133460f2c', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: '2d881468e7d673102e6d7ed3ceee94d27f6e46f3' }, title), h("g", { key: 'beac3bec6209fbcace14f52a436d1f54c73c03b8', fill: hex }, h("path", { key: 'ea03a98a2892c5fad25d5734bfad83731c4aa26c', d: "M10 2H14L13.21 9.91L19.66 5.27L21.66 8.73L14.42 12L21.66 15.27L19.66\n      18.73L13.21 14.09L14 22H10L10.79 14.09L4.34 18.73L2.34 15.27L9.58 12L2.34\n      8.73L4.34 5.27L10.79 9.91L10 2Z" })), h("path", { key: 'fc83aba2de20105ef7204e0f01258fb2f4a36c38', d: "M0 0h24v24H0z", fill: "none" })));
    }
};
AsteriskIcon.style = asteriskIconCss;

export { AsteriskIcon as asterisk_icon };
