import { r as registerInstance, h } from './index-DvdXi0my.js';

const chartDonutIconCss = "";

const ChartDonutIcon = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.hex = undefined;
        this.label = undefined;
        this.name = 'chart-donut';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: '10191f0819a2694f4a261a2b6e470e118e00667e', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: '5096e2c974d7dbc4df39c4e9db4f3137da546cfb' }, title), h("g", { key: 'ad24bc9f6751dea70018a17228f3f404dbba4779', fill: hex }, h("path", { key: '1d179199a7772b200562ed9d7e9bfad5f6967949', d: "M13 2.05V5.08C16.39 5.57 19 8.47 19 12C19 12.9 18.82 13.75 18.5\n      14.54L21.12 16.07C21.68 14.83 22 13.45 22 12C22 6.82 18.05 2.55 13 2.05M12\n      19A7 7 0 0 1 5 12C5 8.47 7.61 5.57 11 5.08V2.05C5.94 2.55 2 6.81 2 12A10\n      10 0 0 0 12 22C15.3 22 18.23 20.39 20.05 17.91L17.45 16.38C16.17 18 14.21\n      19 12 19Z" })), h("path", { key: '0bc1c11c17104119aafd51099ff706a4b887a2c2', d: "M0 0h24v24H0z", fill: "none" })));
    }
};
ChartDonutIcon.style = chartDonutIconCss;

export { ChartDonutIcon as chart_donut_icon };
