import { r as registerInstance, h } from './index-DvdXi0my.js';

const mitsubishiIkonCss = "";

const MitsubishiIkon = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.hex = undefined;
        this.name = 'mitsubishi';
        this.size = undefined;
    }
    render() {
        const { hex, name, size } = this;
        return (h("svg", { key: 'e4819af89fe5a452831520852f0a9e285e6d124e', width: size, height: size, viewBox: "0 0 80.4 80.4", role: "img", "aria-label": "title" }, h("title", { key: 'd6e4538dd21234e5fa85cdfb68783dca90a388d1' }, name), h("g", { key: '166bd0ae8962ab7104e6af2d400d5d21b26e648a', fill: hex }, h("path", { key: '53df583fb6c779188ac1fcfa3a483a7415ab49ce', d: "M39.7 7.2L27 27.6l25.5 44.5 26.8-.1-13.6-22H14.3L1.1 72.3h25l26.8-45.1z" }))));
    }
};
MitsubishiIkon.style = mitsubishiIkonCss;

export { MitsubishiIkon as mitsubishi_ikon };
