import { r as registerInstance, h } from './index-DvdXi0my.js';

const radioIconCss = "";

const RadioIcon = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.selected = false;
        this.hex = undefined;
        this.label = undefined;
        this.name = 'radio';
        this.size = undefined;
    }
    render() {
        const { selected, hex, label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: 'eec25577507d8b2fcfe1c4c53e294ca7bc310e4c', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: 'b0b1df4bc139ee172a16902310a32269f54ee87d' }, title), h("g", { key: '732e9846254104338cbf1a2b5b7c1fa8f38d1b86', fill: hex }, selected ? (h("path", { d: "M12 7c-2.76 0-5 2.24-5 5s2.24 5 5 5 5-2.24\n              5-5-2.24-5-5-5zm0-5C6.48 2 2 6.48 2 12s4.48 10\n              10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.42\n              0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8z" })) : (h("path", { d: "M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48\n                10-10S17.52 2 12 2zm0 18c-4.42 0-8-3.58-8-8s3.58-8\n                8-8 8 3.58 8 8-3.58 8-8 8z" }))), h("path", { key: '9411a4cb65fa35f84f502e1f9cd54c7408c9379b', d: "M0 0h24v24H0z", fill: "none" })));
    }
};
RadioIcon.style = radioIconCss;

export { RadioIcon as radio_icon };
