import { r as registerInstance, h } from './index-DvdXi0my.js';

const slugIconCss = "";

const SlugIcon = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.label = undefined;
        this.name = 'slug';
        this.size = undefined;
    }
    render() {
        const { label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: '2182a6c01a57f9da8abd4865d151eab51d4c2c7d', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: '62a3fa974f52609d5f3987d281e2404418fe091d' }, title), h("path", { key: '38f4e26f3f23f7cec1b87a512f178dd6830f8431', d: "M0 0h24v24H0z", fill: "none" })));
    }
};
SlugIcon.style = slugIconCss;

export { SlugIcon as slug_icon };
