'use strict';

var index = require('./index-Djd6t32_.js');

const checkIconCss = "";

const CheckIcon = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.selected = false;
        this.hex = undefined;
        this.label = undefined;
        this.name = 'check';
        this.size = undefined;
    }
    render() {
        const { selected, hex, label, name, size } = this;
        const title = label ? label : name;
        return (index.h("svg", { key: 'ff900ba20cc0da0a0b20fef0a8bf32189d63d7fe', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, index.h("title", { key: '92f43d49d38cba8eb6cad8743661cc2003ecb3b1' }, title), index.h("g", { key: 'ba6d20a6841215a4568a7caf6023d81029f175ce', fill: hex }, selected ? (index.h("path", { d: "M10 17L5 12L6.41 10.58L10 14.17L17.59 6.58L19 8M19 3H5C3.89 3 3 3.89\n        3 5V19A2 2 0 0 0 5 21H19A2 2 0 0 0 21 19V5C21 3.89 20.1 3 19 3Z" })) : (index.h("path", { d: "M19 3H5C3.89 3 3 3.89 3 5V19A2 2 0 0 0 5 21H19A2 2 0 0 0 21 19V5C21\n        3.89 20.1 3 19 3M19 5V19H5V5H19Z" }))), index.h("path", { key: 'd081ebb8f762d766f29e99673eee2b95c246910c', d: "M0 0h24v24H0z", fill: "none" })));
    }
};
CheckIcon.style = checkIconCss;

exports.check_icon = CheckIcon;
