'use strict';

var index = require('./index-Djd6t32_.js');

const chevronDoubleLeftIconCss = "";

const ChevronDoubleLeftIcon = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.hex = undefined;
        this.label = undefined;
        this.name = 'chevron-double-left';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (index.h("svg", { key: '03c633bfd15990a4d2f309302543e0f892a1b818', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, index.h("title", { key: '57ca81d7d06d875923fad088143ddabb1f44763e' }, title), index.h("g", { key: '27eb2134d2ec4a6cd217f35335a9ea103ea14cc2', fill: hex }, index.h("path", { key: '86327636d29fc6c2e5b8575539b23a39363bb275', d: "M18.41 7.41L17 6L11 12L17 18L18.41 16.59L13.83 12L18.41 7.41M12.41\n      7.41L11 6L5 12L11 18L12.41 16.59L7.83 12L12.41 7.41Z" })), index.h("path", { key: 'a63d89fcac1046514efa634f60b077fc7c2fb638', d: "M0 0h24v24H0z", fill: "none" })));
    }
};
ChevronDoubleLeftIcon.style = chevronDoubleLeftIconCss;

exports.chevron_double_left_icon = ChevronDoubleLeftIcon;
