'use strict';

var index = require('./index-Djd6t32_.js');

const protocolIconCss = "";

const ProtocolIcon = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.hex = undefined;
        this.label = undefined;
        this.name = 'protocol';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (index.h("svg", { key: '94bbaa6f9e9c8ae781f891f087e40059f5bd0e78', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, index.h("title", { key: '9d10103eb4b7c16c662f0b66cf42e297efa7bc2a' }, title), index.h("g", { key: 'eb0e2fea7d0a4ebe6010aa0585a5fa5d365eb218', fill: hex }, index.h("path", { key: '36a31619a4120a03f7f8ff12ac4d6b15df718e2f', d: "M18 20H14L18 4H22M16 4H12L8 20H12M2 16.5A2.5 2.5 0 0 0 4.5 19A2.5 2.5 0\n      0 0 7 16.5A2.5 2.5 0 0 0 4.5 14A2.5 2.5 0 0 0 2 16.5M2 9.5A2.5 2.5 0 0 0\n      4.5 12A2.5 2.5 0 0 0 7 9.5A2.5 2.5 0 0 0 4.5 7A2.5 2.5 0 0 0 2 9.5Z" })), index.h("path", { key: '69b0f6223837fc3f121864306deef52b3091e7ce', d: "M0 0h24v24H0z", fill: "none" })));
    }
};
ProtocolIcon.style = protocolIconCss;

exports.protocol_icon = ProtocolIcon;
