'use strict';

var index = require('./index-Djd6t32_.js');

const pulseIconCss = "";

const PulseIcon = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.hex = undefined;
        this.label = undefined;
        this.name = 'pulse';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (index.h("svg", { key: 'decd3aae47e5f2c7540fab482e30a0687637e91f', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, index.h("title", { key: '5b40c2f8c4a37565bfed36fddde627352d7cfca3' }, title), index.h("g", { key: 'ffc63a3a0fc4f849ae4a908b57c4e73925af79ec', fill: hex }, index.h("path", { key: 'c9475f24ee19f17ce546e9c51f371035e26c6db2', d: "M3 13H5.79L10.1 4.79L11.28 13.75L14.5 9.66L17.83 13H21V15H17L14.67\n      12.67L9.92 18.73L8.94 11.31L7 15H3V13Z" })), index.h("path", { key: '5f80185082b0d23794a9b21768520792e180422e', d: "M0 0h24v24H0z", fill: "none" })));
    }
};
PulseIcon.style = pulseIconCss;

exports.pulse_icon = PulseIcon;
