import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const bashIconCss = "";

const BashIcon$1 = /*@__PURE__*/ proxyCustomElement(class BashIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = undefined;
        this.label = undefined;
        this.name = 'bash';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: '77a27a73b5572d92b86d872085d11dbdb9e788cf', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: '00fdcb478a43cfa7e5a2c1ff5543a971c99d41ec' }, title), h("g", { key: '02a5a119b93d605278b0343af35552b370282388', fill: hex }, h("path", { key: 'b7dba89d6ad5d66df2bc5698520819fe008e3fcc', d: "M5 9H7.31L7.63 6H9.63L9.31 9H11.31L11.63 6H13.63L13.31\n      9H15V11H13.1L12.9 13H15V15H12.69L12.37 18H10.37L10.69 15H8.69L8.37\n      18H6.37L6.69 15H5V13H6.9L7.1 11H5V9M9.1 11L8.9 13H10.9L11.1 11M19\n      6H17V14H19M19 16H17V18H19Z" })), h("path", { key: 'ffd9fb968083a90552101bdad52d12e1d452e399', d: "M0 0h24v24H0z", fill: "none" })));
    }
    static get style() { return bashIconCss; }
}, [0, "bash-icon", {
        "hex": [1],
        "label": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bash-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "bash-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, BashIcon$1);
            }
            break;
    } });
}

const BashIcon = BashIcon$1;
const defineCustomElement = defineCustomElement$1;

export { BashIcon, defineCustomElement };
