import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const checkIconCss = "";

const CheckIcon$1 = /*@__PURE__*/ proxyCustomElement(class CheckIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.selected = false;
        this.hex = undefined;
        this.label = undefined;
        this.name = 'check';
        this.size = undefined;
    }
    render() {
        const { selected, hex, label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: 'ff900ba20cc0da0a0b20fef0a8bf32189d63d7fe', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: '92f43d49d38cba8eb6cad8743661cc2003ecb3b1' }, title), h("g", { key: 'ba6d20a6841215a4568a7caf6023d81029f175ce', fill: hex }, selected ? (h("path", { d: "M10 17L5 12L6.41 10.58L10 14.17L17.59 6.58L19 8M19 3H5C3.89 3 3 3.89\n        3 5V19A2 2 0 0 0 5 21H19A2 2 0 0 0 21 19V5C21 3.89 20.1 3 19 3Z" })) : (h("path", { d: "M19 3H5C3.89 3 3 3.89 3 5V19A2 2 0 0 0 5 21H19A2 2 0 0 0 21 19V5C21\n        3.89 20.1 3 19 3M19 5V19H5V5H19Z" }))), h("path", { key: 'd081ebb8f762d766f29e99673eee2b95c246910c', d: "M0 0h24v24H0z", fill: "none" })));
    }
    static get style() { return checkIconCss; }
}, [0, "check-icon", {
        "selected": [4],
        "hex": [1],
        "label": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["check-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "check-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CheckIcon$1);
            }
            break;
    } });
}

const CheckIcon = CheckIcon$1;
const defineCustomElement = defineCustomElement$1;

export { CheckIcon, defineCustomElement };
