import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const infinitiIkonCss = "";

const InfinitiIkon$1 = /*@__PURE__*/ proxyCustomElement(class InfinitiIkon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = undefined;
        this.name = 'infiniti';
        this.size = undefined;
    }
    render() {
        const { hex, name, size } = this;
        return (h("svg", { key: 'c3b44cf9ec527de8358c2caf292f6879bf94feb6', width: size, height: size, viewBox: "0 0 360 360", role: "img", "aria-label": "title" }, h("title", { key: 'bee75ed6011085a8b2630f4053f670198df42a31' }, name), h("g", { key: '2cece8e6818bc920ec08b804b44e304b7f5d29bb', fill: hex }, h("path", { key: 'b4a9afb5560b4bb541c67e0acde4995a2afe2b50', d: "M226.7 272.5c6.4-.8 50.9-6.2 82.3-21.9 34-17 50.4-44.5 50.4-68.9\n      0-52.7-73.8-93.4-179.5-93.4S.6 128.7.6 181.7c0 24.7 16.2 52.5 50.4 68.9\n      31.6 15.2 76.4 20.8 83.1 21.9l45.8-134 46.8 134zm-46.8-154.9s-69.7\n      92.9-76.4 101.3c-25.7-2.3-70.2-19.3-70.2-48.4 0-37 64.8-71.5 146.6-71.5\n      85.9 0 146.6 34.5 146.6 71.5 0 29.3-44.5 46-70.2\n      48.1-7-8.9-76.4-101-76.4-101" }))));
    }
    static get style() { return infinitiIkonCss; }
}, [0, "infiniti-ikon", {
        "hex": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["infiniti-ikon"];
    components.forEach(tagName => { switch (tagName) {
        case "infiniti-ikon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, InfinitiIkon$1);
            }
            break;
    } });
}

const InfinitiIkon = InfinitiIkon$1;
const defineCustomElement = defineCustomElement$1;

export { InfinitiIkon, defineCustomElement };
