import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const lexusIkonCss = "";

const LexusIkon$1 = /*@__PURE__*/ proxyCustomElement(class LexusIkon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = undefined;
        this.name = 'lexus';
        this.size = undefined;
    }
    render() {
        const { hex, name, size } = this;
        return (h("svg", { key: '536f63d2c7cef76647fd456efbbf010d73b4c32f', width: size, height: size, viewBox: "0 0 612 612", role: "img", "aria-label": "title" }, h("title", { key: '699183b5b952b53ce01b03fbf3d640f2e265eebb' }, name), h("g", { key: 'abb3276bd7d78e8a88bf349851bd1021395020a7', fill: hex }, h("path", { key: 'b0d7e7e2a2f67b72403d472a838901ac50ddd993', d: "M306 522.4c101.3 0 191.2-35.4 246.9-89.9l-50.2.2c-47.4 39.9-116.8\n      65-195.4 65-146.7 0-261.1-87.4-261.1-195.2 0-124.4 114.5-195.2 261.1-195.2\n      9.3 0 16.8 4.3 11.2 12.4-30.5 36.7-117.3 154.8-133.1 180.4-31.2 50.4-30.5\n      112.5 46 116.9H553c16.4 0 20.6-7.7 26.5-15.7 21.5-29.1 32.5-63.2\n      32.4-98.7-.1-92.7-65.3-162.1-161.2-196.3l-14.8 22.2c79.7 29.4 132.4 88.9\n      132.4 174.1 0 14.8-2.2 29.2-6.3 43.1-3.6 12-10.5 22.2-23.7\n      22.2H281.7c-32.9 0-20.2-33.9-8-50.4 17.7-31.7 114.4-163.5 137.7-188.1\n      5.9-9 22.6-27.7-.4-34.8-32.7-7.8-68.1-11.8-105-11.8C137 82.7.1 169.5 0\n      302.5c-.1 134.3 137 219.9 306 219.9z" }))));
    }
    static get style() { return lexusIkonCss; }
}, [0, "lexus-ikon", {
        "hex": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["lexus-ikon"];
    components.forEach(tagName => { switch (tagName) {
        case "lexus-ikon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, LexusIkon$1);
            }
            break;
    } });
}

const LexusIkon = LexusIkon$1;
const defineCustomElement = defineCustomElement$1;

export { LexusIkon, defineCustomElement };
