import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const mercedesBenzIkonCss = "";

const MercedesBenzIkon$1 = /*@__PURE__*/ proxyCustomElement(class MercedesBenzIkon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = undefined;
        this.name = 'mercedes-benz';
        this.size = undefined;
    }
    render() {
        const { hex, name, size } = this;
        return (h("svg", { key: '0794a9986929903e4f573d8f30915450f4dc5424', width: size, height: size, viewBox: "0 0 80 80", role: "img", "aria-label": "title" }, h("title", { key: '83cbb8071ceb6bf072760afa906c5c63675470f2' }, name), h("g", { key: '140f7f2f090bd0afea56374736e941782b9657d8', fill: hex }, h("path", { key: 'd62c6db54e0e8fc76292be58f2a5dfc03a62cd05', d: "M58.6 4.5C53 1.6 46.7 0 40 0c-6.7 0-13 1.6-18.6 4.5C8.7 11.2 0 24.6 0\n      40c0 15.4 8.7 28.8 21.5 35.5C27 78.3 33.3 80 40 80c6.7 0 12.9-1.7\n      18.5-4.6C71.3 68.8 80 55.4 80 40c0-15.4-8.7-28.8-21.4-35.5zM4 40c0-13.1\n      7-24.5 17.5-30.9C26.6 6 32.5 4.2 39 4l-4.5 32.7-13 10.1L8.3 57.1C5.6 52 4\n      46.2 4 40zm54.6 30.8C53.1 74.1 46.8 76 40 76c-6.8\n      0-13.2-1.9-18.6-5.2-4.9-2.9-8.9-6.9-11.9-11.7l11.9-4.9L40 46.6l18.6 7.5 12\n      4.9c-3 4.9-7.2 8.9-12 11.8zm0-24l-12.9-10L41.1 4c6.3.2 12.3 2 17.4 5.1C69\n      15.4 76 26.9 76 40c0 6.2-1.5 12-4.3 17.1L58.6 46.8z" }))));
    }
    static get style() { return mercedesBenzIkonCss; }
}, [0, "mercedes-benz-ikon", {
        "hex": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mercedes-benz-ikon"];
    components.forEach(tagName => { switch (tagName) {
        case "mercedes-benz-ikon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, MercedesBenzIkon$1);
            }
            break;
    } });
}

const MercedesBenzIkon = MercedesBenzIkon$1;
const defineCustomElement = defineCustomElement$1;

export { MercedesBenzIkon, defineCustomElement };
