import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const oldsmobileIkonCss = "";

const OldsmobileIkon$1 = /*@__PURE__*/ proxyCustomElement(class OldsmobileIkon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = undefined;
        this.name = 'oldsmobile';
        this.size = undefined;
    }
    render() {
        const { hex, name, size } = this;
        return (h("svg", { key: '77fdcb751824bce6f3b62ac8b61008df07945025', width: size, height: size, viewBox: "0 0 358.1 358.1", role: "img", "aria-label": "title" }, h("title", { key: '156c0d711b2c69d598df6ee5ac5c0ef5be2ad669' }, name), h("g", { key: 'baa4927d405d3e7ab1d6cee3ccc8d0e26bf1c206', fill: hex }, h("path", { key: '19751e5246a33454c054542e83cffc8fadf12537', d: "M90.5 0v358.1h176.4V0H90.5zm167.3 349H99.5V9h158.3v340z" }), h("path", { key: '9c78df432825ac42f84c33a1b3266914e128eb89', d: "M115.4 25.1h56.7v153.7l-56.6 69.1zm126.4 0h-56.6v153.7l56.6 69.1zM115.5\n      274.9l-.1 58.4h56.7V220.4zm126.3 0l-.5 58.4h-56.1V220.4z" }))));
    }
    static get style() { return oldsmobileIkonCss; }
}, [0, "oldsmobile-ikon", {
        "hex": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["oldsmobile-ikon"];
    components.forEach(tagName => { switch (tagName) {
        case "oldsmobile-ikon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, OldsmobileIkon$1);
            }
            break;
    } });
}

const OldsmobileIkon = OldsmobileIkon$1;
const defineCustomElement = defineCustomElement$1;

export { OldsmobileIkon, defineCustomElement };
