import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const refreshIconCss = "";

const RefreshIcon$1 = /*@__PURE__*/ proxyCustomElement(class RefreshIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = undefined;
        this.label = undefined;
        this.name = 'refresh';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: '18ed416dbe0471535bb6d90696369ac659394dcf', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: 'ceae39bacbd15986e51a015e012a7abf4be8849c' }, title), h("g", { key: 'd0432f6b8bac9b9995fccbb9521e039f79a4956e', fill: hex }, h("path", { key: 'aee3a2f7860006f93bbf972a9f02e3c032856e8b', d: "M17.65 6.35C16.2 4.9 14.21 4 12 4c-4.42 0-7.99 3.58-7.99\n          8s3.57 8 7.99 8c3.73 0 6.84-2.55 7.73-6h-2.08c-.82 2.33-3.04 4-5.65\n          4-3.31 0-6-2.69-6-6s2.69-6 6-6c1.66 0 3.14.69 4.22 1.78L13 11h7V4l-2.35\n          2.35z" })), h("path", { key: '2fb87b8ab6155dc1a8c9911a60f0079b52fcd53e', d: "M0 0h24v24H0z", fill: "none" })));
    }
    static get style() { return refreshIconCss; }
}, [0, "refresh-icon", {
        "hex": [1],
        "label": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["refresh-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "refresh-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, RefreshIcon$1);
            }
            break;
    } });
}

const RefreshIcon = RefreshIcon$1;
const defineCustomElement = defineCustomElement$1;

export { RefreshIcon, defineCustomElement };
