import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const teslaIkonCss = "";

const TeslaIkon$1 = /*@__PURE__*/ proxyCustomElement(class TeslaIkon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = undefined;
        this.name = 'tesla';
        this.size = undefined;
    }
    render() {
        const { hex, name, size } = this;
        return (h("svg", { key: '737610e307d558d83113038ceed343281a22b911', width: size, height: size, viewBox: "0 0 320 320", role: "img", "aria-label": "title" }, h("title", { key: 'd3b3275402ecbf52ee0000117a80374dfdb9feee' }, name), h("g", { key: '731bbc2d6890b6582dd198d96800ba4b1060e9a2', fill: hex }, h("path", { key: '6d3161e5ca9a7da6a3e329955c152337cd94cc77', d: "M160 318l44.4-249.7c42.3 0 55.7 4.7 57.6 23.6 0 0 28.4-10.6\n      42.7-32.1-55.9-25.9-112-27.1-112-27.1l-32.8 39.9h.1l-32.8-39.9s-56.1\n      1.2-112 27.1c14.3 21.5 42.7 32.1 42.7 32.1 2-18.9 15.3-23.6 57.3-23.6L160\n      318z" }), h("path", { key: 'fedbe0dc5fb58749cb57d8e60776f80eb42cb7c1', d: "M160 21.2c45.2-.4 96.8 7 149.8 30.1 7.1-12.7 8.9-18.4 8.9-18.4C268.2\n      12.8 214.4 2.3 160 2 105.6 2.3 51.8 12.8 1.3 32.9c2.6 6.3 5.5 12.4 8.9\n      18.4C63.1 28.2 114.8 20.9 160 21.2" }))));
    }
    static get style() { return teslaIkonCss; }
}, [0, "tesla-ikon", {
        "hex": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["tesla-ikon"];
    components.forEach(tagName => { switch (tagName) {
        case "tesla-ikon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TeslaIkon$1);
            }
            break;
    } });
}

const TeslaIkon = TeslaIkon$1;
const defineCustomElement = defineCustomElement$1;

export { TeslaIkon, defineCustomElement };
