import { r as registerInstance, h } from './index-DvdXi0my.js';

const barcodeIconCss = "";

const BarcodeIcon = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.hex = undefined;
        this.label = undefined;
        this.name = 'barcode';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: '32f60c59d1537287be67810a531c8addd32ccfe8', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: '220dd720d4c070abec095158cdd3259cc152cd3a' }, title), h("g", { key: 'a5c1689dc4f6e9102235e36516698851ca7b9185', fill: hex }, h("path", { key: '2937243b9d5c147c0ec4c6d64ae63dc3c830722a', d: "M2 6H4V18H2V6M5 6H6V18H5V6M7 6H10V18H7V6M11 6H12V18H11V6M14\n      6H16V18H14V6M17 6H20V18H17V6M21 6H22V18H21V6Z" })), h("path", { key: '0e0918c30b94b1672f9f25f163ff55cc6afbbed4', d: "M0 0h24v24H0z", fill: "none" })));
    }
};
BarcodeIcon.style = barcodeIconCss;

export { BarcodeIcon as barcode_icon };
