import { r as registerInstance, h } from './index-DvdXi0my.js';

const beakerIconCss = "";

const BeakerIcon = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.hex = undefined;
        this.label = undefined;
        this.name = 'beaker';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: '4db9e341907e6b9b51684bd2db160af64feb679c', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: '8f8ba211c5f051bbb4ecd8372a93b3cd5ce71858' }, title), h("g", { key: 'dbcd9b2cb2c9ce82904180e3fd4faf7ba55e1573', fill: hex }, h("path", { key: '9cfe3e7618e688c4c2758f22bda0b2b818d734b8', d: "M3 3H21V5A2 2 0 0 0 19 7V19A2 2 0 0 1 17 21H7A2 2 0 0 1 5 19V7A2 2 0 0\n      0 3 5V3M7 5V7H12V8H7V9H10V10H7V11H10V12H7V13H12V14H7V15H10V16H7V19H17V5H7Z" })), h("path", { key: 'c42a2d78cf6cf0b8768ea4a2928b0b254d54015f', d: "M0 0h24v24H0z", fill: "none" })));
    }
};
BeakerIcon.style = beakerIconCss;

export { BeakerIcon as beaker_icon };
